<?php

session_start();
$rut = $_SESSION['rut'];
$cliente = $_SESSION['cliente'];

$pi_folio = $_REQUEST['pi_folio'];
$especie_id = $_REQUEST['especie_id'];

include '../../conexion/conn.php';

$rs = mysql_query("SELECT * FROM cal_planilla_inspeccion where pi_folio='$pi_folio'");

if ($row = mysql_fetch_array($rs)) {
  $exportador_cod = $row['pi_exportador_cod'];
}


if (isset($_GET['variedad_id'])) {
  $variedad_id = $_GET['variedad_id'];
} else {
  $variedad_id = "";
}
if (isset($_GET['productor_id'])) {
  $productor_id = $_GET['productor_id'];
} else {
  $productor_id = "";
}


?>

<!doctype html>
<html lang="es">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">

  <title>Calibre Peso</title>

  <?php

  include '../../rutas/encabezado3.php';
  $menu = "calibre";
  ?>
</head>

<body>

  <?php
  include '../../rutas/menu_insp2.php';
  ?>

  <div class="jumbotron" style="padding: 5px; height: 10%; margin: 0px;">
    <div class="row">

      <?php




      echo '<div class="col-sm">
               Variedad <select class="form-control" id="variedad_id" name="variedad_id" onchange="cargar();">';
      $rs2 = mysql_query("SELECT * FROM cal_variedades where cliente_id='$cliente' AND especie_id='$especie_id' order by cal_variedades.variedad_nombre ASC");
      echo '<option value="">TODOS</option>';
      while ($row2 = mysql_fetch_array($rs2)) {
        if ($variedad_id == $row2['variedad_id']) {
          echo '<option value="' . $row2['variedad_id'] . '" selected>' . $row2['variedad_nombre'] . '</option>';
        } else {
          echo '<option value="' . $row2['variedad_id'] . '">' . $row2['variedad_nombre'] . '</option>';
        }
      }
      echo '</select>
              </div>';



      echo '<div class="col-sm">
               Productor <select class="form-control" id="productor_id" name="productor_id" onchange="cargar();">';
      $rs2 = mysql_query("SELECT * FROM cal_productores where cliente_id='$cliente' AND especie_id='$especie_id' AND exportador_cod='$exportador_cod' ORDER BY productor_nombre ASC");
      echo '<option value="">TODOS</option>';
      while ($row2 = mysql_fetch_array($rs2)) {
        if ($productor_id === $row2['productor_id']) {
          echo '<option value="' . $row2['productor_id'] . '" selected>' . $row2['productor_id'] . ' - ' . $row2['productor_nombre'] . '</option>';
        } else {
          echo '<option value="' . $row2['productor_id'] . '">' . $row2['productor_id'] . ' - ' . $row2['productor_nombre'] . '</option>';
        }
      }
      echo '</select>
              </div>';

      echo '<input type="hidden" id="pi_folio" name="pi_folio" value="' . $pi_folio . '">';
      echo '<input type="hidden" id="especie_id" name="especie_id" value="' . $especie_id . '">';

      ?>
    </div>
  </div>

  <div id="ingreso" style="width: 100%; height: 100%; overflow: scroll;">


  </div>


  <!-- Bootstrap core JavaScript
    ================================================== -->
  <script type="text/javascript">
    setTimeout(cargar, 300);


    function entrar() {


      cargar();

    }

    function clasificacion() {
      var especie_id = $("#especie_id").val();
      var exportador_cod = <?php echo json_encode($exportador_cod); ?>;


      setTimeout(cargar, 300);

    }


    function cargar() {




      var variedad_id = $("#variedad_id").val();
      var productor_id = $("#productor_id").val();

      var pi_folio = $("#pi_folio").val();
      var especie_id = $("#especie_id").val();


      $("#ingreso").load("cargar_cajas.php?variedad_id=" + variedad_id + "&productor_id=" + productor_id + "&pi_folio=" + pi_folio + "&especie_id=" + especie_id);

    }
  </script>

  <?php
  include '../../rutas/scriptfinales3.php';
  ?>

</body>

</html>